Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.gradle
[Java] Enum CacheUsage

    java.lang.Object
      org.gradle.CacheUsage

    @Deprecated
    public enum CacheUsage

`CacheUsage` specifies how compiled scripts should be cached.

deprecated:
  This enum has been deprecated. Use StartParameter#isRerunTasks()#isRerunTasks() and StartParameter#isRecompileScripts()#isRecompileScripts() instead.

Method Summary
`static CacheUsage` | `fromString(String usagestr)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### fromString

    public static CacheUsage fromString(String usagestr)

  `CacheUsage` specifies how compiled scripts should be cached.

  deprecated:
    This enum has been deprecated. Use StartParameter#isRerunTasks()#isRerunTasks() and StartParameter#isRecompileScripts()#isRecompileScripts() instead.

Gradle API 1.10